Subject: Re: [PATCH v2] rtl8xxxu: Fix the handling of TX A-MPDU aggregation

From: Kalle Valo <[email-masked]>
Date: Fri, 06 Aug 2021 15:31:52 +0300

Reto Schneider <[email-masked]> writes:

> On 8/4/21 17:13, [email-masked] wrote:
>> The TX A-MPDU aggregation is not handled in the driver since the
>> ieee80211_start_tx_ba_session has never been started properly.
>> Start and stop the TX BA session by tracking the TX aggregation
>> status of each TID. Fix the ampdu_action and the tx descriptor
>> accordingly with the given TID.
>
> I'd like to test this but I am not sure what to look for (before and
> after applying the patch).

Thanks, testing feedback is always very much appreciated.

> What should I look for when looking at the (sniffed) Wireshark traces?

>From my (maintainer) point of view most important is that there are no
regressions visible to users, for example no data stalls, crashes or
anything like that.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches